/* 套版常用設定 */
:root {
    --secondary-color: #e50012;
    --secondary-dark: #68000d;
}
body:focus-visible {
    box-shadow: none;
}
img {
    max-width: 100%;
    height: auto !important;
}

.line-clamp-2 {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}
.line-clamp-3 {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
}


.cke_editable ol,
.cke_editable ul,
.backend-editor-body ol,
.backend-editor-body ul,
.editor ol,
.editor ul {
    margin-bottom: 1rem;
    padding-left: 2rem;
}
.cke_editable ol,
.backend-editor-body ol,
.editor ol,
.cke_editable ol > li,
.backend-editor-body ol > li,
.editor ol > li {
    list-style-type: decimal;
}
.cke_editable ul,
.backend-editor-body ul,
.editor ul,
.cke_editable ul > li,
.backend-editor-body ul > li,
.editor ul > li {
    list-style-type: disc;
}

.cke_editable .list-unstyled,
.editor .list-unstyled {
    padding-left: 0;
    list-style: none;
}
.cke_editable .list-unstyled li,
.editor .list-unstyled li {
    list-style: none;
}
.embed-responsive {
    position: relative;
    display: block;
    height: auto;
    padding: 0;
    overflow: hidden;
}
.embed-responsive .embed-responsive-item,
.embed-responsive iframe,
.embed-responsive embed,
.embed-responsive object,
.embed-responsive video {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 0;
}

body div:where(.swal2-container) div:where(.swal2-popup) {
    font-size: var(--body-font-size, 1.5rem);
}
body div:where(.swal2-container) button:where(.swal2-styled):where(.swal2-confirm) {
    background: #111111;
}
body div:where(.swal2-container) button:where(.swal2-styled):where(.swal2-confirm):focus-visible{
    box-shadow:0 0 0 3px rgba(17,17,17,.5)
}


.main__logo--img {
    min-height: 45px;
}
.offcanvas__logo img {
    min-height: 36px;
}
.footer__bottom .footer__logo img {
    min-height: 45px;
}


.banner .bg {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: no-repeat 50% 50%;
    background-size: cover;
}
.banner .container {
    display: flex;
    align-items: center;
    min-height: 520px;
}

.image__width--text {
    background: linear-gradient(to right, var(--secondary-color), var(--secondary-dark));
}

.header__mega--menu--title {
    color: var(--secondary-dark);
    font-size: 1.5rem;
    padding: 1rem 0;
    font-weight: 500;
}
.header__mega--sub__menu--title {
    padding: 0.75rem 0;
    font-weight: 400;
}
.header__sub--menu__link:hover,
.header__mega--sub__menu--title:hover {
    color: var(--secondary-color);
}

.contact__info--icon,
.contact__info--content__desc,
.contact__info--content__desc a {
    color: inherit;
}
.text__secondary_dark {
    color: var(--secondary-dark);
}

.predictive__search--form {
    padding-right: 6.75rem;
}
.predictive__search--form .row {
    margin-left: -0.5rem;
    margin-right: -0.5rem;
}
.predictive__search--form .row > * {
    padding-right: 0.5rem;
    padding-left: 0.5rem;
}
.rating__icon svg {
    fill: var(--secondary-dark);
    width: 0.8em;
    height: auto;
}
.product__details--info__meta--list strong {
    white-space: nowrap;
}
.variant__size--value {
    width: auto;
    padding: 0 0.5em;
}
.widget__categories--menu__list.active,
.widget__categories--sub__menu--list.active a {
    color: var(--secondary-dark);
}
.widget__categories--menu__list.active .widget__categories--sub__menu {
    display: block;
}
.quickview__social--icon svg {
    width: auto;
    height: 1.5rem;
}

.checkout__input--field.is-invalid {
    border-color: var(--bs-danger);
}
.search__filter--inner .ms-options-wrap > button {
    border: 1px solid var(--border-color);
    background: var(--body-background-color);
    -webkit-appearance: none;
    height: 4rem;
    font-size: 1.4rem;
    padding: 0 3.4rem 0 1.7rem;
    border-radius: 5px;
    cursor: pointer;
    margin-top: 0;
}
.search__filter--inner .ms-options-wrap.ms-active > button {
    box-shadow: 0 0 5px 2px rgba(19, 19, 19, 0.15);
}

.predictive__search--form .ms-options-wrap > .ms-options {
    text-align: left;
}
.predictive__search--form .ms-options-wrap > button {
    width: 100%;
    height: 4.5rem;
    border: 1px solid var(--border-color);
    padding: 0 80px 0 15px;
    font-size: 1.6rem;
    font-weight: 400;
    border-radius: 5px;
    margin-top: 0;
}
.predictive__search--form .ms-options-wrap.ms-active > button {
    border-color: var(--secondary-color);
    box-shadow: 0 0 5px 2px rgba(19, 19, 19, 0.15);
}
.offcanvas__stikcy--toolbar__btn:hover .offcanvas__stikcy--toolbar__icon {
    color: #fff;
}

@media only screen and (min-width: 768px) {
}
@media only screen and (min-width: 992px) {
}
@media only screen and (min-width: 1200px) {
    .search__filter--inner .ms-options-wrap > button {
        height: 4.2rem;
    }
    .predictive__search--form .ms-options-wrap > button {
        height: 5rem;
    }
}
@media only screen and (min-width: 1366px) {
    .search__filter--inner .ms-options-wrap > button {
        height: 4.4rem;
    }
}
@media only screen and (min-width: 1500px) {
}

@media only screen and (max-width: 991px) {
}

@media only screen and (max-width: 767px) {
}
